GNU bug report logs - #7656
MANS primary accepts too many prefixes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Severity: minor; Reported by: Stefano Lattarini <stefano.lattarini@HIDDEN>; merged with #10695; dated Thu, 16 Dec 2010 21:46:02 UTC; Maintainer for automake is bug-automake@HIDDEN.
Merged 7656 10695. Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'wishlist' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'MANS primary accepts too many prefixes' from 'TEXINFOS and MANS primaries accept too many prefixes' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #7656 from all other report(s). Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 7656 7657. Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'TEXINFOS and MANS primaries accept too many prefixes' from 'MANS primary accepts too many prefixes.' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 7656 <at> debbugs.gnu.org:


Received: (at 7656) by debbugs.gnu.org; 17 Dec 2010 11:12:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 06:12:57 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PTYF6-0006s2-LH
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2010 06:12:56 -0500
Received: from mail-wy0-f172.google.com ([74.125.82.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTYF4-0006rf-0p
	for 7656 <at> debbugs.gnu.org; Fri, 17 Dec 2010 06:12:54 -0500
Received: by wyf23 with SMTP id 23so522135wyf.3
	for <7656 <at> debbugs.gnu.org>; Fri, 17 Dec 2010 03:19:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:user-agent:cc:references:in-reply-to:mime-version:content-type
	:content-transfer-encoding:message-id;
	bh=6iJTR0qAWJ67T78sbqcanxrEK0AXUjDylSf50IixjlM=;
	b=kgm2EZT+R+Uo5X/cxP/WttPM2jRfImKmubz99TWDqKcc3d2k3e2e9V0lFGbqKTUYF6
	ErUAv7bDl2fhiIESTt8mA38QoDIGKwOqx4CZpXEqEczsbTdJpcL4ptgwu4KSxma4o+f4
	tobbhHcT4FifHPHRKFYZMz/I2rmd4RivsXXhc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:cc:references:in-reply-to
	:mime-version:content-type:content-transfer-encoding:message-id;
	b=fXQetv8+C9Lh9OiIChjapmtiXjWJ495uzuogku4kCtpxU9AzQ8qwkYUdwSRGiGbJM2
	CDk5x3x9hbplzAFkgSlA507YXyXin2pWPDIP/dyvv2drHydfKJOtV0z26T9Y/Wiciygm
	BwScnsmyuo+AwGeZFPozyCBKAmq5uyUSw+GfA=
Received: by 10.227.135.201 with SMTP id o9mr457428wbt.34.1292584754651;
	Fri, 17 Dec 2010 03:19:14 -0800 (PST)
Received: from bigio.localnet
	(host11-8-dynamic.13-87-r.retail.telecomitalia.it [87.13.8.11])
	by mx.google.com with ESMTPS id f35sm133051wbf.20.2010.12.17.03.19.12
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Fri, 17 Dec 2010 03:19:13 -0800 (PST)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Subject: Re: bug#7656: MANS primary accepts too many prefixes.
Date: Fri, 17 Dec 2010 12:19:03 +0100
User-Agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )
References: <201012162251.16187.stefano.lattarini@HIDDEN>
	<20101217060003.GB2910@HIDDEN>
In-Reply-To: <20101217060003.GB2910@HIDDEN>
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <201012171219.04287.stefano.lattarini@HIDDEN>
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 7656
Cc: 7656 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

On Friday 17 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Thu, Dec 16, 2010 at 10:51:15PM CET:
> > Currently, the MANS primary accept *all* the standard automake
> > builtin prefix dirs (from lib and bin to pkglibexec and sysconf).
> > 
> > IMHO it should accept only man and man{1..9} (maybe doc? but I'd
> > rather say no).
> 
> This one is less easy than the other one, but again the question to
> be answered is: is it completely and totally impossible that a developer
> has a decent use case for something you would like to forbid?  If no,
> then why forbid it?
>
Note that we won't really forbid it, we'll just require the developer
to be more explicit/verbose about what he's doing if that's a thing
that "smells fishy" to automake; for example, automake will be required
to error out on this:
  doc_MANS = foo.1
but not on this:
  my_mandir = $(docdir) # we want manpages installed in $(docdir) because ...
  my_man_MANS = foo.1

And note that the current automake already behaves this way with other
primaries such as `PROGRAMS', so that:
  lib_PROGRAMS = foo
gives an error, but:
  foodir = $(libdir)
  foo_PROGRAMS = foo
does not.  This is by design, and it's a good design IMHO.

Regards,
   Stefano




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7656; Package automake. Full text available.

Message received at 7656 <at> debbugs.gnu.org:


Received: (at 7656) by debbugs.gnu.org; 17 Dec 2010 05:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 17 00:53:47 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PTTGE-0007FN-RR
	for submit <at> debbugs.gnu.org; Fri, 17 Dec 2010 00:53:47 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PTTGC-0007FB-Rj
	for 7656 <at> debbugs.gnu.org; Fri, 17 Dec 2010 00:53:45 -0500
Received: (qmail invoked by alias); 17 Dec 2010 06:00:04 -0000
Received: from xdsl-89-0-151-162.netcologne.de (EHLO localhost.localdomain)
	[89.0.151.162]
	by mail.gmx.net (mp017) with SMTP; 17 Dec 2010 07:00:04 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1/25cF+kwr2bQ5xwkd7HtxE3qLv2C8Z4gIyPDVo5a
	gCphVb4//XZhOI
Received: from ralf by localhost.localdomain with local (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PTTMJ-0000lr-K1; Fri, 17 Dec 2010 07:00:03 +0100
Date: Fri, 17 Dec 2010 07:00:03 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Stefano Lattarini <stefano.lattarini@HIDDEN>
Subject: Re: bug#7656: MANS primary accepts too many prefixes.
Message-ID: <20101217060003.GB2910@HIDDEN>
References: <201012162251.16187.stefano.lattarini@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <201012162251.16187.stefano.lattarini@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 7656
Cc: 7656 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

* Stefano Lattarini wrote on Thu, Dec 16, 2010 at 10:51:15PM CET:
> Currently, the MANS primary accept *all* the standard automake
> builtin prefix dirs (from lib and bin to pkglibexec and sysconf).
> 
> IMHO it should accept only man and man{1..9} (maybe doc? but I'd
> rather say no).

This one is less easy than the other one, but again the question to
be answered is: is it completely and totally impossible that a developer
has a decent use case for something you would like to forbid?  If no,
then why forbid it?

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7656; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2010 21:45:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 16 16:45:30 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PTLdi-0004y6-2v
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:45:30 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLdf-0004xt-Op
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:45:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLjm-0001II-Lh
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:51:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:54550)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLjm-0001IE-Jk
	for submit <at> debbugs.gnu.org; Thu, 16 Dec 2010 16:51:46 -0500
Received: from [140.186.70.92] (port=59233 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PTLjl-0007as-OY
	for bug-automake@HIDDEN; Thu, 16 Dec 2010 16:51:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLjk-0001Hw-TS
	for bug-automake@HIDDEN; Thu, 16 Dec 2010 16:51:45 -0500
Received: from mail-ww0-f49.google.com ([74.125.82.49]:45505)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1PTLjk-0001Hs-Nx
	for bug-automake@HIDDEN; Thu, 16 Dec 2010 16:51:44 -0500
Received: by wwb17 with SMTP id 17so12724wwb.30
	for <bug-automake@HIDDEN>; Thu, 16 Dec 2010 13:51:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:from:to:subject:date
	:user-agent:mime-version:content-type:content-transfer-encoding
	:message-id; bh=qCFPbCWR+32xjMHJwSJt6bIgK6S4G3cRuqUOE5eTJaM=;
	b=Am1mHlYfpPLN/i6KPc2y7ZS6FRsYEvIrkKlU1t2x6Byzq9p31XXjSnJSJ5bhmW4xEP
	/HYqrEqBwO1CXubOr3Pdhw+vTu7j+1tFxHqTFBKP+MKzBvkaXDodx726rZby1LZQZ1pP
	qvstQRNAt/rRTO4kOfhb6X1WtZQt4z9jaZL1w=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:mime-version:content-type
	:content-transfer-encoding:message-id;
	b=dTmX2mXAoiSW7Vy5v/EHDSWeHgVi5euotorux7tEliAByyMU6vvK18Hct6HpJnSxRV
	XHHc6bl6/NyuUqWUPZnqpkiLheahtwZzZ63o4f5ewVGzt7j3CQPQ/CKv/lQ4NpTfS7rI
	P+QZDPf+e6FQ++Ylc5NWXhaI2rrzaTZsHRgMw=
Received: by 10.216.208.230 with SMTP id q80mr2802757weo.103.1292536303691;
	Thu, 16 Dec 2010 13:51:43 -0800 (PST)
Received: from bigio.localnet
	(host209-92-dynamic.248-95-r.retail.telecomitalia.it [95.248.92.209])
	by mx.google.com with ESMTPS id 7sm304408wet.24.2010.12.16.13.51.42
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Thu, 16 Dec 2010 13:51:43 -0800 (PST)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: bug-automake@HIDDEN
Subject: MANS primary accepts too many prefixes.
Date: Thu, 16 Dec 2010 22:51:15 +0100
User-Agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <201012162251.16187.stefano.lattarini@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Currently, the MANS primary accept *all* the standard automake
builtin prefix dirs (from lib and bin to pkglibexec and sysconf).

IMHO it should accept only man and man{1..9} (maybe doc? but I'd
rather say no).

Thanks,
   Stefano




Acknowledgement sent to Stefano Lattarini <stefano.lattarini@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#7656; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.